# Snapcontrol


## Short description

Drive snapshot backup controller.  
A backup wrapper program for Windows boxes.

Features:
- Starts a backup via Windows Scheduler using Drive napshot by Tom Ehlert
- Asks the user for permission to start backup
- Can do a shutdown after backup
- Different backup targets (local DRIVE, SMB, FTP)
- Encryption support (via Drive Snapshot)
- Verifies the backup (optional)
- New full backup every month
- Daily differential backup
- Writes detailed logfile and history log
- Sends reports via email


## Requirements

You will need the tool [Drive Snapshot](http://www.drivesnapshot.de/en/order.htm) by Tom Ehlert Software.

Download here: [snapshot.exe](http://www.drivesnapshot.de/download/snapshot.exe)  
64-bit version: [snapshot64.exe](http://www.drivesnapshot.de/download/snapshot64.exe)  

You can test Drive snapshot for a limited time. Please support this great tool and consider to buy a license.


## Installation

- Download the latest release and unzip the files
- Open "snapcontrol.ini" with the editor of your choice and set the following variables:
  - BinPath
  - TargetPath
  - TargetUser
  - TargetPassword
  - Disks2Dump
- Copy the Drive Snapshot binary to "BinPath"
- Optional step: set "InstallTo" to your desired location
- Open a dos box and execute:

```dos
snapcontrol.exe /I
```

( Snapcontrol copies the config file and itself to the location of the "InstallTo" variable. )

That's all snacpcontrol will be called by the Windows scheduler. See "snapcontrol.ini" for detailed comments on the features.


## USAGE

```dos
C:\>snapcontrol.exe /?
usage: snapcontrol.exe </I | /U | /D | /V>
    /I = install program and config
    /U = update scheduler job
    /D = dry run
    /V = show version
```

Everytime you change the values in "BackupSched" or "BackupStart" you will have to call snapcontrol.exe with the /U switch.
